Bug 57809 - parameters lilo impossible
Summary: parameters lilo impossible
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: athlon Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-24 09:35 UTC by Marc ANTONIOTTI
Modified: 2007-04-18 16:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-02 22:19:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marc ANTONIOTTI 2001-12-24 09:35:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
can't install lilo
Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 
19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 2081, in 
doInstall
    self.hdList, self.upgrade, langlist)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 277, in 
install
    lilo.read (instRoot + '/etc/lilo.conf')
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 140, in read
    if image: self.addImage(image)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 79, in 
addImage
    config.getEntry('label')
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 54, in 
getEntry
    return self.items[item]
KeyError: label

Local variables in innermost frame:
self: root="/dev/hda1"
append="hdc=ide-scsi"

item: label

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(igui
ProgressWindow
(dp5
S'total'
p6
I0
sS'window'
p7
(igtk
GtkWindow
(dp8
S'_o'
p9

<failed>
Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 
19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 2081, in 
doInstall
    self.hdList, self.upgrade, langlist)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 277, in 
install
    lilo.read (instRoot + '/etc/lilo.conf')
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 140, in read
    if image: self.addImage(image)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 79, in 
addImage
    config.getEntry('label')
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 54, in 
getEntry
    return self.items[item]
KeyError: label

Local variables in innermost frame:
self: root="/dev/hda1"
append="hdc=ide-scsi"

item: label

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(igui
ProgressWindow
(dp5
S'total'
p6
I0
sS'window'
p7
(igtk
GtkWindow
(dp8
S'_o'
p9

<failed>
Traceback (innermost last):
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/iw/progress_gui.py", line 
19, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/todo.py", line 2081, in 
doInstall
    self.hdList, self.upgrade, langlist)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 277, in 
install
    lilo.read (instRoot + '/etc/lilo.conf')
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 140, in read
    if image: self.addImage(image)
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 79, in 
addImage
    config.getEntry('label')
  File "/var/tmp/anaconda-7.1//usr/lib/anaconda/lilo.py", line 54, in 
getEntry
    return self.items[item]
KeyError: label

Local variables in innermost frame:
self: root="/dev/hda1"
append="hdc=ide-scsi"

item: label

ToDo object:
(itodo
ToDo
p1
(dp2
S'resState'
p3
S''
sS'progressWindow'
p4
(igui
ProgressWindow
(dp5
S'total'
p6
I0
sS'window'
p7
(igtk
GtkWindow
(dp8
S'_o'
p9

<failed>


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.change time delay for default boot
2.boot directly in windows (no lilo)
3.no update possible with cd install
4.need to reformat

Additional info:

the first time, happens after using norton disk doctor with windows
under linux impossible to param lilo "-l nd -L are mutually exclusive"

need to reformat HDA1

Comment 1 Jeremy Katz 2002-01-02 22:19:33 UTC
what does your lilo.conf look like?

Comment 2 Brent Fox 2002-01-21 04:20:35 UTC
Closing due to inactivity.  Please reopen if you have more information.


Note You need to log in before you can comment on or make changes to this bug.